StandardQueryAnnotationProvider
Keywords: uk.ac.bbk.dcs.automed.qproc.annotate.StandardQueryAnnotationProvider class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc.annotate
Class StandardQueryAnnotationProvider

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.annotate.StandardQueryAnnotationProvider

All Implemented Interfaces:
  QueryAnnotationProvider

    public class StandardQueryAnnotationProvider

extends java.lang.Object
implements QueryAnnotationProvider

This class annotates an input IQL query in the form of an ASG by inserting wrapper objects in the original ASG structure. The wrapper objects are placed after the class discovers the largest possible subtrees that each wrapper can translate.

Author:
  Lucas Zamboulis

Field Summary
`protected java.util.logging.Logger` | `logger`

Constructor Summary
`StandardQueryAnnotationProvider()`
`StandardQueryAnnotationProvider(Schema[] tgts)` Deprecated. use `QueryAnnotationFactory` to obtain an instance of this class.

Method Summary
`java.lang.String` | `getName()` Return a unique name of a provider.
`void` | `process(ASG query)` Deprecated. use `process(ASG, Schema[])` instead
`void` | `process(ASG query, Schema[] tgts)` Annotate an IQL query based on a given configuration
`void` | `updateWrapperSchemaMap(Schema[] tgts)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected java.util.logging.Logger logger

Constructor Detail

### StandardQueryAnnotationProvider

    public StandardQueryAnnotationProvider()

### StandardQueryAnnotationProvider

    public StandardQueryAnnotationProvider(Schema[] tgts)

  Deprecated. use `QueryAnnotationFactory` to obtain an instance of this class.

Method Detail

### updateWrapperSchemaMap

    public void updateWrapperSchemaMap(Schema[] tgts)
                                throws QueryAnnotationException

  Throws:
    `QueryAnnotationException`

### process

    public void process(ASG query)
                 throws QueryAnnotationException

  Deprecated. use `process(ASG, Schema[])` instead

  Throws:
    `QueryAnnotationException`

### process

    public void process(ASG query,
                        Schema[] tgts)
                 throws QueryAnnotationException

  Description copied from interface: `QueryAnnotationProvider`
  Annotate an IQL query based on a given configuration

  Specified by:
    `process` in interface `QueryAnnotationProvider`
  Parameters:
    `query` - an `ASG` object of an IQL query
    `tgts` - the target scheams against which the query is to be evaluated
  Throws:
    `QueryAnnotationException`

### getName

    public java.lang.String getName()

  Description copied from interface: `QueryAnnotationProvider`
  Return a unique name of a provider. This name is used as a key in a `Map` of provider objects

  Specified by:
    `getName` in interface `QueryAnnotationProvider`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD